package main

import (
	"fmt"

	googleapi "corelab.mkcl.org/MKCLOS/coredevelopmentplatform/corepkgv2/aimdl/googleapi"
)

func main() {
	//Google API Configuration
	apiConf := googleapi.ClientConfig{
		Email:      "youremail@yourdomain.iam.gserviceaccount.com",
		PrivateKey: "-----BEGIN PRIVATE KEY-----\nYourRSAPrivateKey\n-----END PRIVATE KEY-----\n",
	}

	//OAuth configured Google client
	googleClient := googleapi.GetClient(apiConf)

	//AudioConfig for Google Speech-to-Text
	audioConf := googleapi.AudioConfig{
		FilePath: "brooklyn.flac",
	}

	audioResponse, err := googleapi.SpeechToText(googleClient, audioConf)
	if err != nil {
		fmt.Println(err)
	}
	fmt.Println(audioResponse)

	textConf := googleapi.TextConfig{
		Text: "Hello, darkness my old friend!",
	}

	textResponse, err := googleapi.TextToSpeech(googleClient, textConf)
	if err != nil {
		fmt.Println(err)
	}
	fmt.Println(textResponse)
}
